{
    attributes = (
        {
            columnName = "DEP_ID"; 
            externalType = NUMBER; 
            name = depId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "ENG_ID"; 
            externalType = NUMBER; 
            name = engId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "FAC_ID"; 
            externalType = NUMBER; 
            name = facId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "PDR_ID"; 
            externalType = NUMBER; 
            name = pdrId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "PEF_ID"; 
            externalType = NUMBER; 
            name = pefId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "PREST_ID"; 
            externalType = NUMBER; 
            name = prestId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "REC_ID"; 
            externalType = NUMBER; 
            name = recId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TBO_ORDRE"; 
            externalType = NUMBER; 
            name = tboOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (pdrId, depId, recId, tboOrdre, pefId, prestId, engId, facId); 
    className = "org.cocktail.abricot.server.metier.EOVAbricotPrestationsInternes"; 
    classProperties = (
        pdrId, 
        depId, 
        recId, 
        tboOrdre, 
        pefId, 
        vAbricotDepensePi, 
        vAbricotRecettePi, 
        typeBordereau, 
        prestId, 
        engId, 
        facId
    ); 
    externalName = "MARACUJA.V_ABRICOT_PRESTATIONS_INTERNES"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            pdrId, 
            depId, 
            recId, 
            tboOrdre, 
            pefId, 
            vAbricotDepensePi, 
            vAbricotRecettePi, 
            typeBordereau, 
            prestId, 
            engId, 
            facId
        ); 
        "_javaClientClassName" = "org.cocktail.abricot.client.eof.modele.EOVAbricotPrestationsInternes"; 
    }; 
    name = VAbricotPrestationsInternes; 
    primaryKeyAttributes = (pdrId, pefId, prestId, facId); 
    relationships = (
        {
            destination = "ca_TypeBordereau"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = tboOrdre; sourceAttribute = tboOrdre; }); 
            name = typeBordereau; 
        }, 
        {
            destination = VAbricotDepensePi; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = depId; sourceAttribute = depId; }); 
            name = vAbricotDepensePi; 
        }, 
        {
            destination = VAbricotRecettePi; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = recId; sourceAttribute = recId; }); 
            name = vAbricotRecettePi; 
        }
    ); 
    userInfo = {fetchSpecificationDictionary = {}; }; 
}
